[ Foro de PHP ]

Error instalando PHP 5.6 en OSX

16-Aug-2017 16:14
Xavi Tadeo Izquierdo
0 Respuestas

Hola a todos,

Estoy tratando de instalar PHP en mi OS Mac Sierra sin usar XAMPP, via terminal.
Estoy usando las librerías de php-osx.liip.ch.

En principio, solo es escribir:

curl -s https://php-osx.liip.ch/install.ch | bash -s 5.6

Me preguntaría la clave y se haría la instalación.

Sin embargo, cuando ejecuto la linea, aparece lo siguiente:

bash: line 1: !DOCTYPE: No such file or directory
bash: line 2: syntax error near unexpected token `newline'
bash: line 2: ` "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">'

Y ahi me quedo... Me da la sensación que el problema viene de la tercera linea donde hay un token >, pero hasta donde yo se, no puedo cambiar eso.

¿Alguien me puede echar un cable?

Muchas gracias

PD: Se que hay la version 7 de PHP, pero el libro de estudio que sigo engloba PHP5... Han sacado una versión más moderna que cubre PHP7 pero de momento no lo tengo :(




Si ya eres usuario del sistema, puedes contestar desde tu cuenta y así ganar prestigio.

Si sólo eres un visitante, puedes optar por...